
import sys
def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList

#########################################
#
# Open security.xml 
#
#########################################

sec = AdminConfig.list("Security" )

#########################################
#
# Locate systemLoginConfig 
#
#########################################

slc = AdminConfig.showAttribute(sec, "systemLoginConfig" )

entries = wsadminToList(AdminConfig.showAttribute(slc, "entries" ))

#########################################
#
# Remove the WS-FEP login configurations
#
#########################################

for entry in entries:
        alias = AdminConfig.showAttribute(entry, "alias" )
        if (alias == "wss.generate.x509" or alias=="wss.consume.x509" or alias=="wss.generate.unt" or alias=="wss.consume.unt" or alias=="wss.generate.sct" or alias=="wss.consume.sct" or alias=="wss.caller" or alias=="wss.generate.pkcs7" or alias=="wss.consume.pkcs7" or alias=="wss.generate.pkiPath" or alias=="wss.consume.pkiPath" or alias=="wss.generate.ltpa" or alias=="wss.consume.ltpa" or alias=="wss.generate.ltpaProp" or alias=="wss.consume.ltpaProp" or alias=="wss.inbound.propagation" or alias=="wss.inbound.deserialize" or alias=="wss.auth.sts"):
                AdminConfig.remove(entry )
                print "systemLoginConfig alias="+alias+" has been removed."

#########################################
#
# save the change
#
#########################################

AdminConfig.save( )

